<div class="card">
    <button mat-icon-button class="menu" [matMenuTriggerFor]="menu">
        <mat-icon> more_horiz</mat-icon>
    </button>

    <mat-menu #menu="matMenu">
        <a mat-menu-item routerLink="./{{ athlete.athlete_info.id }}">
            <mat-icon>visibility</mat-icon>
            <span>Visualizar</span>
        </a>

        <ng-template [canView]="[1, 3]">
            <button mat-menu-item (click)="openDeleteDialog()">
                <mat-icon color="warn">delete</mat-icon>
                <span>Remover</span>
            </button>
        </ng-template>
    </mat-menu>

    <app-avatar
        [name]="athlete.name"
        [photo]="athlete.avatar"
        class="avatar"
    ></app-avatar>

    <h3>{{ athlete.name }}</h3>

    <div class="info">
        <div class="email">
            <mat-icon>email</mat-icon>
            {{ athlete.email }}
        </div>
    </div>
</div>
